VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DedicatedAllocationBufferCreateInfoNV (Bool32 dedicatedAllocation_=0)
| DedicatedAllocationBufferCreateInfoNV (VkDedicatedAllocationBufferCreateInfoNV const &rhs)
DedicatedAllocationBufferCreateInfoNV & | operator= (VkDedicatedAllocationBufferCreateInfoNV const &rhs)
DedicatedAllocationBufferCreateInfoNV & | setPNext (const void *pNext_)
DedicatedAllocationBufferCreateInfoNV & | setDedicatedAllocation (Bool32 dedicatedAllocation_)
| operator VkDedicatedAllocationBufferCreateInfoNV const & () const
| operator VkDedicatedAllocationBufferCreateInfoNV & ()
bool | operator== (DedicatedAllocationBufferCreateInfoNV const &rhs) const
bool | operator!= (DedicatedAllocationBufferCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | dedicatedAllocation

## Private Attributes

StructureType | sType = StructureType::eDedicatedAllocationBufferCreateInfoNV

## Detailed Description

Definition at line 12564 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DedicatedAllocationBufferCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::DedicatedAllocationBufferCreateInfoNV | ( | Bool32 | dedicatedAllocation_ = `0` | ) |

inline

Definition at line 12566 of file vulkan.hpp.

: dedicatedAllocation( dedicatedAllocation_ )
{
}

## DedicatedAllocationBufferCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::DedicatedAllocationBufferCreateInfoNV | ( | VkDedicatedAllocationBufferCreateInfoNV const & | rhs | ) |

inline

Definition at line 12571 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DedicatedAllocationBufferCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkDedicatedAllocationBufferCreateInfoNV &()

VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator VkDedicatedAllocationBufferCreateInfoNV & | ( |  | ) |

inline

Definition at line 12598 of file vulkan.hpp.

{
return *reinterpret_cast<VkDedicatedAllocationBufferCreateInfoNV*>(this);
}

## operator VkDedicatedAllocationBufferCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator VkDedicatedAllocationBufferCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 12593 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDedicatedAllocationBufferCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator!= | ( | DedicatedAllocationBufferCreateInfoNV const & | rhs | ) | const

inline

Definition at line 12610 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DedicatedAllocationBufferCreateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator= | ( | VkDedicatedAllocationBufferCreateInfoNV const & | rhs | ) |

inline

Definition at line 12576 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DedicatedAllocationBufferCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator== | ( | DedicatedAllocationBufferCreateInfoNV const & | rhs | ) | const

inline

Definition at line 12603 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( dedicatedAllocation == rhs.dedicatedAllocation );
}

References dedicatedAllocation, pNext, and sType.

Referenced by operator!=().

## setDedicatedAllocation()

DedicatedAllocationBufferCreateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::setDedicatedAllocation | ( | Bool32 | dedicatedAllocation_ | ) |

inline

Definition at line 12587 of file vulkan.hpp.

{
dedicatedAllocation = dedicatedAllocation_;
return *this;
}

References dedicatedAllocation.

## setPNext()

DedicatedAllocationBufferCreateInfoNV& VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 12581 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## dedicatedAllocation

Bool32 VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::dedicatedAllocation

Definition at line 12620 of file vulkan.hpp.

Referenced by operator==(), and setDedicatedAllocation().

## pNext

const void* VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::pNext = nullptr

Definition at line 12619 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::sType = StructureType::eDedicatedAllocationBufferCreateInfoNV

private

Definition at line 12616 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:12619
VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::operator==
bool operator==(DedicatedAllocationBufferCreateInfoNV const &rhs) const
Definition: vulkan.hpp:12603
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::dedicatedAllocation
Bool32 dedicatedAllocation
Definition: vulkan.hpp:12620
VkDedicatedAllocationBufferCreateInfoNV
Definition: vulkan_core.h:6372
VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:12616
VULKAN_HPP_NAMESPACE::DedicatedAllocationBufferCreateInfoNV::DedicatedAllocationBufferCreateInfoNV
DedicatedAllocationBufferCreateInfoNV(Bool32 dedicatedAllocation_=0)
Definition: vulkan.hpp:12566